;------------------------------------------------------------------------------
; Declara endereços dos registradores do 8255 na placa dr_Z80 by Arne
;
_8255_OA        equ     0010H           ;endereco para entrada/saida no portA do 8255
_8255_OB        equ     0011H           ;endereco para entrada/saida no portB do 8255
_8255_OC        equ     0012H           ;endereco para entrada/saida no portC do 8255
_8255_CFG       equ     0013H           ;endereco para configuracao (apenas escrita)

;------------------------------------------------------------------------------
; Declara funções necessárias na placa drZ80_uP - presentes no programa monitor
;
wrB8255A        equ     0085H           ; escreve A no portB 
wrA8255A        equ     0088H           ; escreve A no portA
rdC8255         equ     008BH           ; lê um byte do port C e coloca em mydataPC

t_50us          equ     0094H           ; temporiza 50us
t_1ms			equ     0097H			; temporiza 1ms
t_5ms			equ		009AH			; temporiza 5ms
t_10ms			equ		009DH			; temporiza 10ms
t_25ms			equ		009AH			; temporiza 25ms
t_50ms          equ     00A3H           ; temporiza 50ms
t_100ms			equ     00A6H			; temporiza 100ms
t_500ms         equ     00A9H           ; temporiza 500ms

wrzerodisp      equ     007CH           ; limpa display 7 segmentos - coloca zeros
wrAdisp5_6		equ 	007FH			; escreve nos disps 5 e 6 conteúdo de A
wrAdisp1_6		equ     0082H			; escreve nos displays de 1 a 6 o valor de A, em B o nr do disp

chkRXbuf		equ		00ACH			; verifica se tem um char a receber no buffer RX
getRXdata		equ		00AFH			; recebe um char via RS232 e insere em mydataRX
wrmonRS232		equ     00B2H			; envia um buffer via rs232 - ponteiro em HL
sndchRS232      equ     00B5H			; envia um caracter via RS232 - char em mydataTX

;------------------------------------------------------------------------------
; Declara variáveis necessárias presentes no programa monitor da placa drZ80_uP
;
; TOP controla o topo da RAM
; se 2k	 (8000H + 0700H) TOP = 8700H
; se 8k  (8000H + 1F00H) TOP = 9F00H
; se 32k (8000H + 7F00H) TOP = FF00H
;
; Para usar TOP basta pegar apenas os LSB do endereço da var na RAM e somar a TOP
; Do contrário, entrar com o endereço completo da mesma!
;
TOP				equ		0FF00H			; ajusta topo da RAM de acordo com a versão
mydataRX		equ		(TOP+8EH)		; Dado recebido pela INT NMI
mydataTX		equ		(TOP+8FH)		; Dado enviado pela UART - função
mydataPC        equ     (TOP+7EH)		; byte da leitura do PORTC do 8255
mytec			equ		(TOP+85H)		; byte que contem a tecla coletada pela int
